# Interface Schemas

interface Schemas {
byFrom?: {
[type: string]: string[];
};
byTo?: {
[type: string]: string[];
};
byType?: {
[type: string]: {
from: string;
get?: ((deep, id) => Promise<any>);
to: string;
};
};
}

- Defined in work/deeplinks/deeplinks/imports/cyber.tsx:79

#####
Index

### Properties

byFrom?
byTo?
byType?

## Properties

### `Optional` byFrom

byFrom?: {
[type: string]: string[];
}

#### Type declaration

- ##### [type: string]: string[]

- Defined in work/deeplinks/deeplinks/imports/cyber.tsx:85

### `Optional` byTo

byTo?: {
[type: string]: string[];
}

#### Type declaration

- ##### [type: string]: string[]

- Defined in work/deeplinks/deeplinks/imports/cyber.tsx:86

### `Optional` byType

byType?: {
[type: string]: {
from: string;
get?: ((deep, id) => Promise<any>);
to: string;
};
}

#### Type declaration

- ##### [type: string]: {
  from: string;
  get?: ((deep, id) => Promise<any>);
  to: string;
  }

  - ##### from: string

  - ##### `Optional` get?: ((deep, id) => Promise<any>)

    - - (deep, id): Promise<any>

      - #### Parameters

        - deep: any
        - id: any

        #### Returns Promise<any>

  - ##### to: string

- Defined in work/deeplinks/deeplinks/imports/cyber.tsx:80